Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.util
Class UnsyncByteArrayOutputStream

`java.lang.Object
java.io.OutputStream
oracle.security.crypto.util.UnsyncByteArrayOutputStream`

public class UnsyncByteArrayOutputStream
extends java.io.OutputStream

A `ByteArrayOutputStream` with unsynchronized methods for greater efficiency.

Field Summary
`protected byte[]` | `buf`
`protected int` | `count`

Constructor Summary
`UnsyncByteArrayOutputStream()`
`UnsyncByteArrayOutputStream(int size)`

Method Summary
`void` | `close()`
`void` | `reset()`
`int` | `size()`
`byte[]` | `toByteArray()`
`java.lang.String` | `toString()`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`
`void` | `writeTo(java.io.OutputStream out)`

Methods inherited from class java.io.OutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### buf

    protected byte[] buf

### count

    protected int count

Constructor Detail

### UnsyncByteArrayOutputStream

    public UnsyncByteArrayOutputStream()

### UnsyncByteArrayOutputStream

    public UnsyncByteArrayOutputStream(int size)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTo

    public void writeTo(java.io.OutputStream out)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### reset

    public void reset()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### toByteArray

    public byte[] toByteArray()

### size

    public int size()

### toString

    public java.lang.String toString()

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.